// This code is generated automatically by Exentials SnwConnector
namespace Exentials.Snw.Functions
{
    using System;
    using System.Collections.Generic;
    using System.Text;
    using Exentials.Snw;
    using Exentials.Snw.SnwConnector;
    using Exentials.Snw.Functions;
    using Exentials.Snw.Structures;
    
    
    public sealed class BapiPoCreate1 : Exentials.Snw.SnwConnector.SnwFunction, Exentials.Snw.SnwConnector.IImport<BapiPoCreate1.ImportParameters>, Exentials.Snw.SnwConnector.IExport<BapiPoCreate1.ExportParameters>, Exentials.Snw.SnwConnector.ITables<BapiPoCreate1.TablesParameters>
    {
        
        private ImportParameters _import;
        
        private ExportParameters _export;
        
        private TablesParameters _tables;
        
        public BapiPoCreate1(Exentials.Snw.SnwConnector.SnwConnection connection) : 
                base("BAPI_PO_CREATE1", connection)
        {
        }
        
        public ImportParameters Import
        {
            get
            {
                if ((this._import == null))
                {
                    this._import = new ImportParameters(this);
                }
                return this._import;
            }
        }
        
        public ExportParameters Export
        {
            get
            {
                if ((this._export == null))
                {
                    this._export = new ExportParameters(this);
                }
                return this._export;
            }
        }
        
        public TablesParameters Tables
        {
            get
            {
                if ((this._tables == null))
                {
                    this._tables = new TablesParameters(this);
                }
                return this._tables;
            }
        }
        
        [System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")]
        public sealed class ImportParameters : Exentials.Snw.SnwConnector.SnwParametersContainer
        {
            
            private Bapimepoaddrvendor _poaddrvendor;
            
            private Bapieikp _poexpimpheader;
            
            private Bapieikpx _poexpimpheaderx;
            
            private Bapimepoheader _poheader;
            
            private Bapimepoheaderx _poheaderx;
            
            private Bapimedcm _versions;
            
            public ImportParameters(BapiPoCreate1 container) : 
                    base(container)
            {
            }
            
            /// <summary>
            /// Hold Purchase Order if NOT Faulty
            /// </summary>
            public string MemoryComplete
            {
                get
                {
                    return this.GetParameter<string>("MEMORY_COMPLETE", 1, 0);
                }
                set
                {
                    this.SetParameter("MEMORY_COMPLETE", value, 1, 0);
                }
            }
            
            /// <summary>
            /// Hold Purchase Order if Faulty
            /// </summary>
            public string MemoryUncomplete
            {
                get
                {
                    return this.GetParameter<string>("MEMORY_UNCOMPLETE", 1, 0);
                }
                set
                {
                    this.SetParameter("MEMORY_UNCOMPLETE", value, 1, 0);
                }
            }
            
            /// <summary>
            /// No Authorization Check
            /// </summary>
            public string NoAuthority
            {
                get
                {
                    return this.GetParameter<string>("NO_AUTHORITY", 1, 0);
                }
                set
                {
                    this.SetParameter("NO_AUTHORITY", value, 1, 0);
                }
            }
            
            /// <summary>
            /// No messages necessary
            /// </summary>
            public string NoMessageReq
            {
                get
                {
                    return this.GetParameter<string>("NO_MESSAGE_REQ", 1, 0);
                }
                set
                {
                    this.SetParameter("NO_MESSAGE_REQ", value, 1, 0);
                }
            }
            
            /// <summary>
            /// No message determination
            /// </summary>
            public string NoMessaging
            {
                get
                {
                    return this.GetParameter<string>("NO_MESSAGING", 1, 0);
                }
                set
                {
                    this.SetParameter("NO_MESSAGING", value, 1, 0);
                }
            }
            
            /// <summary>
            /// No Adoption of Price from Last Document
            /// </summary>
            public string NoPriceFromPo
            {
                get
                {
                    return this.GetParameter<string>("NO_PRICE_FROM_PO", 1, 0);
                }
                set
                {
                    this.SetParameter("NO_PRICE_FROM_PO", value, 1, 0);
                }
            }
            
            /// <summary>
            /// Address of Vendor
            /// </summary>
            public Bapimepoaddrvendor Poaddrvendor
            {
                get
                {
                    if ((this._poaddrvendor == null))
                    {
                        this._poaddrvendor = this.GetParameter<Bapimepoaddrvendor>("POADDRVENDOR", 1286, 0);
                    }
                    return this._poaddrvendor;
                }
            }
            
            /// <summary>
            /// Export Trade: Header Data
            /// </summary>
            public Bapieikp Poexpimpheader
            {
                get
                {
                    if ((this._poexpimpheader == null))
                    {
                        this._poexpimpheader = this.GetParameter<Bapieikp>("POEXPIMPHEADER", 7, 0);
                    }
                    return this._poexpimpheader;
                }
            }
            
            /// <summary>
            /// Foreign Trade: Change Bar: Header Data
            /// </summary>
            public Bapieikpx Poexpimpheaderx
            {
                get
                {
                    if ((this._poexpimpheaderx == null))
                    {
                        this._poexpimpheaderx = this.GetParameter<Bapieikpx>("POEXPIMPHEADERX", 2, 0);
                    }
                    return this._poexpimpheaderx;
                }
            }
            
            /// <summary>
            /// Header Data
            /// </summary>
            public Bapimepoheader Poheader
            {
                get
                {
                    if ((this._poheader == null))
                    {
                        this._poheader = this.GetParameter<Bapimepoheader>("POHEADER", 336, 0);
                    }
                    return this._poheader;
                }
            }
            
            /// <summary>
            /// Header Data (Change Toolbar)
            /// </summary>
            public Bapimepoheaderx Poheaderx
            {
                get
                {
                    if ((this._poheaderx == null))
                    {
                        this._poheaderx = this.GetParameter<Bapimepoheaderx>("POHEADERX", 50, 0);
                    }
                    return this._poheaderx;
                }
            }
            
            /// <summary>
            /// Test Indicator
            /// </summary>
            public string Testrun
            {
                get
                {
                    return this.GetParameter<string>("TESTRUN", 1, 0);
                }
                set
                {
                    this.SetParameter("TESTRUN", value, 1, 0);
                }
            }
            
            /// <summary>
            /// Version Management
            /// </summary>
            public Bapimedcm Versions
            {
                get
                {
                    if ((this._versions == null))
                    {
                        this._versions = this.GetParameter<Bapimedcm>("VERSIONS", 106, 0);
                    }
                    return this._versions;
                }
            }
        }
        
        [System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")]
        public sealed class ExportParameters : Exentials.Snw.SnwConnector.SnwParametersContainer
        {
            
            private Bapimepoheader _expheader;
            
            private Bapieikp _exppoexpimpheader;
            
            public ExportParameters(BapiPoCreate1 container) : 
                    base(container)
            {
            }
            
            /// <summary>
            /// Header Data
            /// </summary>
            public Bapimepoheader Expheader
            {
                get
                {
                    if ((this._expheader == null))
                    {
                        this._expheader = this.GetParameter<Bapimepoheader>("EXPHEADER", 336, 0);
                    }
                    return this._expheader;
                }
            }
            
            /// <summary>
            /// Export Trade: Header Data
            /// </summary>
            public Bapieikp Exppoexpimpheader
            {
                get
                {
                    if ((this._exppoexpimpheader == null))
                    {
                        this._exppoexpimpheader = this.GetParameter<Bapieikp>("EXPPOEXPIMPHEADER", 7, 0);
                    }
                    return this._exppoexpimpheader;
                }
            }
            
            /// <summary>
            /// Purchasing Document Number
            /// </summary>
            public string Exppurchaseorder
            {
                get
                {
                    return this.GetParameter<string>("EXPPURCHASEORDER", 10, 0);
                }
                set
                {
                    this.SetParameter("EXPPURCHASEORDER", value, 10, 0);
                }
            }
        }
        
        [System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")]
        public sealed class TablesParameters : Exentials.Snw.SnwConnector.SnwParametersContainer
        {
            
            private Exentials.Snw.SnwConnector.SnwTable<BapimedcmAllversions> _allversions;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapiparex> _extensionin;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapiparex> _extensionout;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapimepoaccount> _poaccount;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapimepoaccountprofitsegment> _poaccountprofitsegment;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapimepoaccountx> _poaccountx;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapimepoaddrdelivery> _poaddrdelivery;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapimepocomponent> _pocomponents;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapimepocomponentx> _pocomponentsx;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapimepocond> _pocond;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapimepocondheader> _pocondheader;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapimepocondheaderx> _pocondheaderx;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapimepocondx> _pocondx;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapiesucc> _pocontractlimits;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapieipo> _poexpimpitem;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapieipox> _poexpimpitemx;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapimepoitem> _poitem;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapimepoitemx> _poitemx;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapiesuhc> _polimits;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapiekkop> _popartner;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapimeposchedule> _poschedule;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapimeposchedulx> _poschedulex;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapiesllc> _poservices;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapieslltx> _poservicestext;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapiitemship> _poshipping;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapimeposhippexp> _poshippingexp;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapiitemshipx> _poshippingx;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapiesklc> _posrvaccessvalues;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapimepotextheader> _potextheader;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapimepotext> _potextitem;
            
            private Exentials.Snw.SnwConnector.SnwTable<Bapiret2> _return;
            
            public TablesParameters(BapiPoCreate1 container) : 
                    base(container)
            {
            }
            
            /// <summary>
            /// All Versions (Export Parameter)
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<BapimedcmAllversions> Allversions
            {
                get
                {
                    if ((this._allversions == null))
                    {
                        this._allversions = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<BapimedcmAllversions>>("ALLVERSIONS", 233, 0);
                    }
                    return this._allversions;
                }
            }
            
            /// <summary>
            /// Customer's Own Fields (Import Parameters)
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapiparex> Extensionin
            {
                get
                {
                    if ((this._extensionin == null))
                    {
                        this._extensionin = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapiparex>>("EXTENSIONIN", 990, 0);
                    }
                    return this._extensionin;
                }
            }
            
            /// <summary>
            /// Customer's Own Fields (Export Parameters)
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapiparex> Extensionout
            {
                get
                {
                    if ((this._extensionout == null))
                    {
                        this._extensionout = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapiparex>>("EXTENSIONOUT", 990, 0);
                    }
                    return this._extensionout;
                }
            }
            
            /// <summary>
            /// Account Assignment Fields
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapimepoaccount> Poaccount
            {
                get
                {
                    if ((this._poaccount == null))
                    {
                        this._poaccount = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapimepoaccount>>("POACCOUNT", 410, 0);
                    }
                    return this._poaccount;
                }
            }
            
            /// <summary>
            /// Reservation Profitability Segment: BAPI_PROFITABILITY_SEGMENT
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapimepoaccountprofitsegment> Poaccountprofitsegment
            {
                get
                {
                    if ((this._poaccountprofitsegment == null))
                    {
                        this._poaccountprofitsegment = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapimepoaccountprofitsegment>>("POACCOUNTPROFITSEGMENT", 87, 0);
                    }
                    return this._poaccountprofitsegment;
                }
            }
            
            /// <summary>
            /// Account Assignment Fields (Change Parameter)
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapimepoaccountx> Poaccountx
            {
                get
                {
                    if ((this._poaccountx == null))
                    {
                        this._poaccountx = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapimepoaccountx>>("POACCOUNTX", 47, 0);
                    }
                    return this._poaccountx;
                }
            }
            
            /// <summary>
            /// Addresses for Inward Delivery (Item)
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapimepoaddrdelivery> Poaddrdelivery
            {
                get
                {
                    if ((this._poaddrdelivery == null))
                    {
                        this._poaddrdelivery = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapimepoaddrdelivery>>("POADDRDELIVERY", 1301, 0);
                    }
                    return this._poaddrdelivery;
                }
            }
            
            /// <summary>
            /// BAPI Structure for Components
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapimepocomponent> Pocomponents
            {
                get
                {
                    if ((this._pocomponents == null))
                    {
                        this._pocomponents = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapimepocomponent>>("POCOMPONENTS", 140, 0);
                    }
                    return this._pocomponents;
                }
            }
            
            /// <summary>
            /// Update Information for Components in BUS2012 API
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapimepocomponentx> Pocomponentsx
            {
                get
                {
                    if ((this._pocomponentsx == null))
                    {
                        this._pocomponentsx = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapimepocomponentx>>("POCOMPONENTSX", 27, 0);
                    }
                    return this._pocomponentsx;
                }
            }
            
            /// <summary>
            /// Conditions (Items)
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapimepocond> Pocond
            {
                get
                {
                    if ((this._pocond == null))
                    {
                        this._pocond = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapimepocond>>("POCOND", 176, 0);
                    }
                    return this._pocond;
                }
            }
            
            /// <summary>
            /// Conditions (Header)
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapimepocondheader> Pocondheader
            {
                get
                {
                    if ((this._pocondheader == null))
                    {
                        this._pocondheader = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapimepocondheader>>("POCONDHEADER", 176, 0);
                    }
                    return this._pocondheader;
                }
            }
            
            /// <summary>
            /// Conditions (Header, Change Bar)
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapimepocondheaderx> Pocondheaderx
            {
                get
                {
                    if ((this._pocondheaderx == null))
                    {
                        this._pocondheaderx = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapimepocondheaderx>>("POCONDHEADERX", 63, 0);
                    }
                    return this._pocondheaderx;
                }
            }
            
            /// <summary>
            /// Conditions (Items, Change Bar)
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapimepocondx> Pocondx
            {
                get
                {
                    if ((this._pocondx == null))
                    {
                        this._pocondx = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapimepocondx>>("POCONDX", 63, 0);
                    }
                    return this._pocondx;
                }
            }
            
            /// <summary>
            /// External Services: Contract Limits
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapiesucc> Pocontractlimits
            {
                get
                {
                    if ((this._pocontractlimits == null))
                    {
                        this._pocontractlimits = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapiesucc>>("POCONTRACTLIMITS", 90, 0);
                    }
                    return this._pocontractlimits;
                }
            }
            
            /// <summary>
            /// Foreign Trade: Item Data
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapieipo> Poexpimpitem
            {
                get
                {
                    if ((this._poexpimpitem == null))
                    {
                        this._poexpimpitem = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapieipo>>("POEXPIMPITEM", 45, 0);
                    }
                    return this._poexpimpitem;
                }
            }
            
            /// <summary>
            /// Foreign Trade: Change Bar: Item Data
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapieipox> Poexpimpitemx
            {
                get
                {
                    if ((this._poexpimpitemx == null))
                    {
                        this._poexpimpitemx = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapieipox>>("POEXPIMPITEMX", 13, 0);
                    }
                    return this._poexpimpitemx;
                }
            }
            
            /// <summary>
            /// Item Data
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapimepoitem> Poitem
            {
                get
                {
                    if ((this._poitem == null))
                    {
                        this._poitem = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapimepoitem>>("POITEM", 1001, 0);
                    }
                    return this._poitem;
                }
            }
            
            /// <summary>
            /// Item Data (Change Parameter)
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapimepoitemx> Poitemx
            {
                get
                {
                    if ((this._poitemx == null))
                    {
                        this._poitemx = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapimepoitemx>>("POITEMX", 148, 0);
                    }
                    return this._poitemx;
                }
            }
            
            /// <summary>
            /// External Services: Limits
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapiesuhc> Polimits
            {
                get
                {
                    if ((this._polimits == null))
                    {
                        this._polimits = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapiesuhc>>("POLIMITS", 103, 0);
                    }
                    return this._polimits;
                }
            }
            
            /// <summary>
            /// Partner
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapiekkop> Popartner
            {
                get
                {
                    if ((this._popartner == null))
                    {
                        this._popartner = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapiekkop>>("POPARTNER", 14, 0);
                    }
                    return this._popartner;
                }
            }
            
            /// <summary>
            /// Delivery Schedule
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapimeposchedule> Poschedule
            {
                get
                {
                    if ((this._poschedule == null))
                    {
                        this._poschedule = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapimeposchedule>>("POSCHEDULE", 161, 0);
                    }
                    return this._poschedule;
                }
            }
            
            /// <summary>
            /// Schedule Lines (Change Parameter)
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapimeposchedulx> Poschedulex
            {
                get
                {
                    if ((this._poschedulex == null))
                    {
                        this._poschedulex = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapimeposchedulx>>("POSCHEDULEX", 34, 0);
                    }
                    return this._poschedulex;
                }
            }
            
            /// <summary>
            /// External Services: Service Lines
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapiesllc> Poservices
            {
                get
                {
                    if ((this._poservices == null))
                    {
                        this._poservices = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapiesllc>>("POSERVICES", 558, 0);
                    }
                    return this._poservices;
                }
            }
            
            /// <summary>
            /// External Services: Service Long Text
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapieslltx> Poservicestext
            {
                get
                {
                    if ((this._poservicestext == null))
                    {
                        this._poservicestext = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapieslltx>>("POSERVICESTEXT", 158, 0);
                    }
                    return this._poservicestext;
                }
            }
            
            /// <summary>
            /// BAPI Shipping Data for Stock Transport Orders
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapiitemship> Poshipping
            {
                get
                {
                    if ((this._poshipping == null))
                    {
                        this._poshipping = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapiitemship>>("POSHIPPING", 130, 0);
                    }
                    return this._poshipping;
                }
            }
            
            /// <summary>
            /// Export Structure for Shipping Data
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapimeposhippexp> Poshippingexp
            {
                get
                {
                    if ((this._poshippingexp == null))
                    {
                        this._poshippingexp = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapimeposhippexp>>("POSHIPPINGEXP", 196, 0);
                    }
                    return this._poshippingexp;
                }
            }
            
            /// <summary>
            /// BAPI Shipping Data Change Bar
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapiitemshipx> Poshippingx
            {
                get
                {
                    if ((this._poshippingx == null))
                    {
                        this._poshippingx = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapiitemshipx>>("POSHIPPINGX", 16, 0);
                    }
                    return this._poshippingx;
                }
            }
            
            /// <summary>
            /// External Services: Account Assignment Distribution for Service Lines
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapiesklc> Posrvaccessvalues
            {
                get
                {
                    if ((this._posrvaccessvalues == null))
                    {
                        this._posrvaccessvalues = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapiesklc>>("POSRVACCESSVALUES", 40, 0);
                    }
                    return this._posrvaccessvalues;
                }
            }
            
            /// <summary>
            /// Header Texts
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapimepotextheader> Potextheader
            {
                get
                {
                    if ((this._potextheader == null))
                    {
                        this._potextheader = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapimepotextheader>>("POTEXTHEADER", 153, 0);
                    }
                    return this._potextheader;
                }
            }
            
            /// <summary>
            /// Item Texts
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapimepotext> Potextitem
            {
                get
                {
                    if ((this._potextitem == null))
                    {
                        this._potextitem = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapimepotext>>("POTEXTITEM", 153, 0);
                    }
                    return this._potextitem;
                }
            }
            
            /// <summary>
            /// Return Parameter
            /// </summary>
            public Exentials.Snw.SnwConnector.SnwTable<Bapiret2> Return
            {
                get
                {
                    if ((this._return == null))
                    {
                        this._return = this.GetParameter<Exentials.Snw.SnwConnector.SnwTable<Bapiret2>>("RETURN", 548, 0);
                    }
                    return this._return;
                }
            }
        }
    }
}
